Bug Hunting Session
Bug 61173 - Linguist 1.5: Installation fails with error message
Summary: Linguist 1.5: Installation fails with error message
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-20 15:42 UTC by Mario
Modified: 2013-02-23 07:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mario 2013-02-20 15:42:12 UTC
Problem description: 
After installation of LibO 4.0.0.3 the extension Linguist 1.5 doesn't work anymore (http://extensions.libreoffice.org/extension-center/linguist).

I get the following error message when trying to activate:
(com.sun.star.uno.RuntimeException) { { Message = "<class 'SyntaxError'>: invalid syntax (Linguist.py, line 69), traceback follows\X000a  C:\\Program Files\\LibreOffice 4.0\\program\\pythonloader.py:102 in function getModuleFromUrl() [codeobject = compile( src, encfile(filename), \"exec\" )]\X000a  C:\\Program Files\\LibreOffice 4.0\\program\\pythonloader.py:149 in function writeRegistryInfo() [mod = self.getModuleFromUrl( locationUrl )]\X000a\X000a", Context = (com.sun.star.uno.XInterface) @0 } }

Operating System: Windows XP
Version: 4.0.0.3 release
Comment 1 Rainer Bielefeld Retired 2013-02-20 16:32:34 UTC
I sent a message to the author, if he is still willing to maintain the Extension it should be possible to fix the problem

@Mario
With what other versions did that work for you?
Comment 2 Rainer Bielefeld Retired 2013-02-20 17:02:44 UTC
 [Reproducible] with server installation of  "Version 4.1.0.0.alpha0+ (Build ID: 576da8db5577f84d9c7e0e40ef3e166a7938c98) TinderBox: Win-x86@6, Branch:master, Pull Time: 2013-02-11_23:54:45" ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with own separate User Profile.

Installation via extension manager breaks with error message "(com.sun.star.uno.RuntimeException) { { Message = "<class 'SyntaxError'>: invalid syntax (Linguist.py, line 69), traceback follows\X000a  C:\\LibO_Server\\LOM41\\2013-02-11@6\\program\\pythonloader.py:102 in function getModuleFromUrl() [codeobject = compile( src, encfile(filename), \"exec\" )]\X000a  C:\\LibO_Server\\LOM41\\2013-02-11@6\\program\\pythonloader.py:149 in function writeRegistryInfo() [mod = self.getModuleFromUrl( locationUrl )]\X000a\X000a", Context = (com.sun.star.uno.XInterface) @0 } }"
Comment 3 Olivier R. 2013-02-20 19:11:27 UTC
I am not really the author of this extension. I just uploaded it on the extensions website.

It shouldn’t be hard to fix. I’ll do that asap.
Comment 4 Mario 2013-02-20 20:21:52 UTC
The last time it was running successfully with LibO 3.6.4.
Comment 5 Olivier R. 2013-02-22 22:08:07 UTC
New update.
Compatible with LO 4.
Comment 6 Rainer Bielefeld Retired 2013-02-23 07:50:38 UTC
Installation works fine with Server Installation of "LibO  4.0.1.1+   -  German UI / German Locale  [Build ID: 2c0c17a6e4bee0ee28131ea4bdc47edc700d659)]"  {tinderbox: @6, pull time  2013-02-1920:00(?)} on German WIN7 Home Premium (64bit) with newly created user profile ….\LODev\4\
Also no problem with 4.1.0.0.alpha0+